---
postgresql_users:
  - name: bingo
    password: bingo
postgresql_databases:
  - name: bingo
    owner: bingo
postgresql_config:
  listen_addresses: "'127.0.0.1'"
  max_connections: 100
  shared_buffers: 1024MB
postgresql_hba_extra_entries:
  - type: host
    database: bingo
    user: bingo
    address: 127.0.0.1/32
    method: trust
pgbouncer_config:
  pgbouncer:
    pool_mode: session
    listen_addr: "{{ ansible_default_ipv4.address }},localhost"
    auth_type: hba
    auth_hba_file: /etc/pgbouncer/auth_hba.conf
    stats_users: postgres
    ignore_startup_parameters: extra_float_digits
  databases:
    "bingo": "host=127.0.0.1 port=5432"
    "*": ""
pgbouncer_hba:
  - type: local
    database: all
    user: all
    address: ""
    method: peer
  - type: host
    database: bingo
    user: bingo
    address: "{{ ansible_default_ipv4.network }}/{{  ansible_default_ipv4.prefix }}"
    method: md5
pgbouncer_users:
  - name: postgres
    password: ""
  - name: bingo
    password: bingo

postgresql_exporter_listen_address: "{{ ansible_default_ipv4.address }}:9187"
pgbouncer_exporter_listen_address: "{{ ansible_default_ipv4.address }}:9127"
node_exporter_listen_address: "{{ ansible_default_ipv4.address }}:9100"
